petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPIPEFCGSetNprealloc

set the number of directions to preallocate with PIPEFCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGSetNprealloc(KSP ksp,PetscInt nprealloc)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| nprealloc | - the number of vectors to preallocate Many br

Many br

### Options Database

-ksp_pipefcg_nprealloc <N> - Many br

### See Also

KSPPIPEFCG, KSPPIPEFCGSetTruncationType(), KSPPIPEFCGGetNprealloc()

Level:advanced
Location:src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages